aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/ftp.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bashrc.d/ftp.bash')
-rw-r--r--bash/bashrc.d/ftp.bash10
1 files changed, 5 insertions, 5 deletions
diff --git a/bash/bashrc.d/ftp.bash b/bash/bashrc.d/ftp.bash
index 4d0e89a6..f0fc5aac 100644
--- a/bash/bashrc.d/ftp.bash
+++ b/bash/bashrc.d/ftp.bash
@@ -1,5 +1,5 @@
# Bail if no ftp(1)
-if ! hash ftp 2>/dev/null; then
+if ! hash ftp 2>/dev/null ; then
return
fi
@@ -9,7 +9,7 @@ _ftp() {
# Bail if the .netrc file is illegible
local netrc=$HOME/.netrc
- if [[ ! -r $netrc ]]; then
+ if [[ ! -r $netrc ]] ; then
COMPREPLY=()
return 1
fi
@@ -21,11 +21,11 @@ _ftp() {
# Iterate through tokens and collect machine names
local -a machines
local token machine
- for token in "${tokens[@]}"; do
- if ((machine)); then
+ for token in "${tokens[@]}" ; do
+ if ((machine)) ; then
machines=("${machines[@]}" "$token")
machine=0
- elif [[ $token == machine ]]; then
+ elif [[ $token == machine ]] ; then
machine=1
fi
done